## org.exist.xupdate
Class Replace

    java.lang.Object
      org.exist.xupdate.Modification
          org.exist.xupdate.Replace

public class Replace
extends Modification

Implements xupdate:replace, an extension to the XUpdate standard. The modification replaces a node and its contents. It differs from xupdate:update which only replaces the contents of the node, not the node itself.

Author:
  wolf

Constructor Summary
`Replace(DBBroker broker, DocumentSet docs, java.lang.String selectStmt, java.util.Map namespaces, java.util.Map variables)`

Method Summary
`java.lang.String` `getName()`
`long` `process(Txn transaction)` Process the modification.

Methods inherited from class org.exist.xupdate.Modification
`getAccessContext, setAccessContext, setContent, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Replace

    public Replace(DBBroker broker,
                   DocumentSet docs,
                   java.lang.String selectStmt,
                   java.util.Map namespaces,
                   java.util.Map variables)

Parameters:
  `broker` -
  `docs` -
  `selectStmt` -
  `namespaces` -
  `variables` -

Method Detail

### process

    public long process(Txn transaction)
                 throws PermissionDeniedException,
                        LockException,
                        EXistException,
                        XPathException

  Description copied from class: `Modification`
  Process the modification. This is the main method that has to be implemented by all subclasses.

  Specified by:
    `process` in class `Modification`
  Parameters:
    `transaction` -
  Throws:
    `EXistException`
    `XPathException`
    `LockException`
    `PermissionDeniedException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Modification`

Copyright (C) Wolfgang Meier. All rights reserved.